CHPASSWD(8)

NOME
chpasswd - aggiorna le password in modo non interattivo

SINOSSI

chpasswd [opzioni]

DESCRIZIONE

chpasswd legge da standard input un elenco di coppie di nomi utente e password e usa queste informazioni per aggiornare un gruppo di utenti esistenti. Ciascuna riga usa il formato:

nome_utente:password

Come impostazione predefinita, si devono fornire password in chiaro che vengono poi cifrate da chpasswd. Vengono aggiornate, se presenti, anche le informazioni sulla durata delle password.

Se non diversamente impostato, le password saranno cifrate da PAM, ma (anche se non è raccomandato) si può impostare un metodo di cifratura diverso con le opzioni -e, -m e -c.

Escluso quando PAM viene utilizzato per cifrare le password,chpasswd prima aggiorna tutte le passwor in memoria, e poi scrive tutto su disco se non trova errori per nessun utente.

Quando PAM è utilizzato per cifrare le password (e aggiornare le password nel database di sistema), se una password non può essere aggiornata chpasswd continua con l'aggiornamento delle password degli utenti seguenti, e restituisce un codice d'errore all'uscita.

Questo comando è appositamente pensato per grossi sistemi in cui si abbia la necessità di creare molti account nello stesso momento.

OPZIONI

Il comando chpasswd accetta le seguenti opzioni:

-c, --crypt-methodMETODO
    Utilizza il metodo specificato per cifrare le password.

    I metodi disponibili sono DES, MD5, NONE e SHA256 o SHA512 se la propria libc lo consente.

    PAM viene utilizzato, in maniera predefinita, per cifrare le password.

-e, --encrypted
    Le password fornite sono in forma cifrata.

-S, --stdout
    Report encrypted passwords to stdout instead of updating password file.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-m, --md5
    Usa la cifratura MD5 anziché DES quando le password fornite non sono cifrate.

-R, --root CHROOT_DIR
    Effettua le modifiche nella directory CHROOT_DIR e usa i file di configurazione dalla directory CHROOT_DIR.

-s, --sha-roundsCICLI
    Usa il numero specificato di cicli per cifrare la password.

    Il valore 0 indica che il sistema utilizzerà il numero predefinito di cicli per il metodo crypt (5000).

    I valori minimo di 1.000 e massimo di 999.999.999 sono forzati.

    Si può utilizzare questa opzione solo con i metodi di cifratura SHA256 o SHA512.

    Il numero di cicli è definito dalle variabili SHA_CRYPT_MIN_ROUNDS e SHA_CRYPT_MAX_ROUNDS in /etc/login.defs.

AVVISI/CAVEAT

Ricordarsi di impostare i permessi o umask in modo da prevenire la lettura in chiaro da parte di altri utenti.

CONFIGURAZIONE

Le seguenti variabili di configurazione in /etc/login.defs cambiano il comportamento di questo strumento:

SHA_CRYPT_MIN_ROUNDS (numerico), SHA_CRYPT_MAX_ROUNDS (numerico)
    Quando ENCRYPT_METHOD vale SHA256 o SHA512, questo definisce il numero di cicli SHA usati per l'algoritmo di cifratura (quando il numero di cicli non è impostato a riga di comando).

    Con molti cicli è più difficile trovare una password usando la forza bruta. Ma va notato che è richiesta maggiore potenza di calcolo per autenticare gli utenti.

    Se non specificato sarà la libc a scegliere il numero di cicli (5000).

    Il valore deve essere compreso tra 1.000 e 999.999.999.

    Se viene impostato solo uno tra SHA_CRYPT_MIN_ROUNDS e SHA_CRYPT_MAX_ROUNDS, allora l'unico valore viene utilizzato.

    Se SHA_CRYPT_MIN_ROUNDS > SHA_CRYPT_MAX_ROUNDS, allora viene utilizzato il maggiore.

    Nota: questo ha effetto solo sulla generazione delle password di gruppo. La generazione delle password utente avviene tramite PAM ed è soggetta alla configurazione PAM. È raccomandato di impostare questa variabile in maniera consistente con la configurazione PAM.

FILE

/etc/passwd
    Informazioni sugli account utente.

/etc/shadow
    Informazioni sicure sugli account utente.

/etc/login.defs
    Configurazione del pacchetto password shadow

/etc/pam.d/chpasswd
    Configurazione PAM per chpasswd.

VEDERE ANCHE

passwd(1), newusers(8), login.defs(5),useradd(8).